Bug 1258712

Summary: fonts-tweak-tool source code needs changes
Product: [Fedora] Fedora Reporter: Parag Nemade <pnemade>
Component: fonts-tweak-toolAssignee: Akira TAGOH <tagoh>
Status: CLOSED NEXTRELEASE QA Contact: Fedora Extras Quality Assurance <extras-qa>
Severity: unspecified Docs Contact:
Priority: unspecified    
Version: 27CC: i18n-bugs, kent.neo, mfabian, petersen, psatpute, pwu, tagoh
Target Milestone: ---Keywords: i18n
Target Release: ---   
Hardware: Unspecified   
OS: Unspecified   
Whiteboard:
Fixed In Version: Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: 2018-04-06 09:55:00 UTC Type: Bug
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: --- Target Upstream Version:

Description Parag Nemade 2015-09-01 05:32:31 UTC
Description of problem:
When started fonts-tweak-tool from gnome-terminal, got these warnings

[parag@localhost ~]$ fonts-tweak-tool 
/usr/lib64/python2.7/site-packages/fontstweak/util.py:30: PyGIWarning: Gtk was imported without specifying a version first. Use gi.require_version('Gtk', '3.0') before import to ensure that the right version gets loaded.
  from gi.repository import Gtk
/usr/lib64/python2.7/site-packages/fontstweak/aliasui.py:36: PyGIWarning: Easyfc was imported without specifying a version first. Use gi.require_version('Easyfc', '0.12') before import to ensure that the right version gets loaded.
  from gi.repository import Easyfc
/usr/bin/fonts-tweak-tool:34: PyGIWarning: FontsTweak was imported without specifying a version first. Use gi.require_version('FontsTweak', '0') before import to ensure that the right version gets loaded.
  from gi.repository import FontsTweak
/usr/lib64/python2.7/site-packages/fontstweak/util.py:51: Warning: The property GtkWidget:margin-left is deprecated and shouldn't be used anymore. It will be removed in a future version.
  builder.add_from_resource('/org/tagoh/fonts-tweak-tool/' + uifile)
/usr/lib64/python2.7/site-packages/fontstweak/util.py:51: Warning: The property GtkWidget:margin-right is deprecated and shouldn't be used anymore. It will be removed in a future version.
  builder.add_from_resource('/org/tagoh/fonts-tweak-tool/' + uifile)
/usr/lib64/python2.7/site-packages/fontstweak/util.py:51: Warning: The property GtkAlignment:left-padding is deprecated and shouldn't be used anymore. It will be removed in a future version.
  builder.add_from_resource('/org/tagoh/fonts-tweak-tool/' + uifile)
/usr/lib64/python2.7/site-packages/fontstweak/util.py:51: Warning: The property GtkButton:xalign is deprecated and shouldn't be used anymore. It will be removed in a future version.
  builder.add_from_resource('/org/tagoh/fonts-tweak-tool/' + uifile)
/usr/lib64/python2.7/site-packages/fontstweak/util.py:51: Warning: The property GtkAlignment:xscale is deprecated and shouldn't be used anymore. It will be removed in a future version.
  builder.add_from_resource('/org/tagoh/fonts-tweak-tool/' + uifile)
/usr/lib64/python2.7/site-packages/fontstweak/util.py:51: Warning: The property GtkButton:use-stock is deprecated and shouldn't be used anymore. It will be removed in a future version.
  builder.add_from_resource('/org/tagoh/fonts-tweak-tool/' + uifile)
/usr/lib64/python2.7/site-packages/fontstweak/util.py:51: Warning: The property GtkSettings:gtk-button-images is deprecated and shouldn't be used anymore. It will be removed in a future version.
  builder.add_from_resource('/org/tagoh/fonts-tweak-tool/' + uifile)
Gtk-Message: GtkDialog mapped without a transient parent. This is discouraged.
[parag@localhost ~]$ 



Version-Release number of selected component (if applicable):
fonts-tweak-tool-0.3.2-8.fc23.x86_64

How reproducible:
always

Steps to Reproduce:
1. open fonts-tweak-tool from gnome-terminal
2. observe warning messages appearing on gnome-terminal
3.

Actual results:


Expected results:


Additional info:

Comment 1 Pravin Satpute 2015-09-07 11:14:34 UTC
able to reproduce this issue.

Comment 2 Jan Kurik 2016-02-24 13:41:52 UTC
This bug appears to have been reported against 'rawhide' during the Fedora 24 development cycle.
Changing version to '24'.

More information and reason for this action is here:
https://fedoraproject.org/wiki/Fedora_Program_Management/HouseKeeping/Fedora24#Rawhide_Rebase

Comment 3 Parag Nemade 2016-04-13 06:45:23 UTC
Tested this again as part of i18n test day and found
/usr/lib64/python3.5/site-packages/fontstweak/util.py:30: PyGIWarning: Gtk was imported without specifying a version first. Use gi.require_version('Gtk', '3.0') before import to ensure that the right version gets loaded.
  from gi.repository import Gtk
/usr/lib64/python3.5/site-packages/fontstweak/aliasui.py:36: PyGIWarning: Easyfc was imported without specifying a version first. Use gi.require_version('Easyfc', '0.12') before import to ensure that the right version gets loaded.
  from gi.repository import Easyfc
/usr/bin/fonts-tweak-tool:34: PyGIWarning: FontsTweak was imported without specifying a version first. Use gi.require_version('FontsTweak', '0') before import to ensure that the right version gets loaded.
  from gi.repository import FontsTweak

as new warnings now.

Comment 4 Fedora End Of Life 2017-07-25 19:13:24 UTC
This message is a reminder that Fedora 24 is nearing its end of life.
Approximately 2 (two) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 24. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as EOL if it remains open with a Fedora  'version'
of '24'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version'
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not
able to fix it before Fedora 24 is end of life. If you would still like
to see this bug fixed and are able to reproduce it against a later version
of Fedora, you are encouraged  change the 'version' to a later Fedora
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's
lifetime, sometimes those efforts are overtaken by events. Often a
more recent Fedora release includes newer upstream software that fixes
bugs or makes them obsolete.

Comment 5 Parag Nemade 2018-04-06 09:55:00 UTC
I do not see any issues on Fedora 28 Beta anymore. Closing this.